<?php if($USUARIO=='') echo '<script>self.location="'.PATH_HOME.'";</script>'; 	
$Perfil = new DB();
$sqlPerfil = "SELECT * FROM rol_usuarios
WHERE us_id = '$USID';";
$Perfil->dbSQL($sqlPerfil);
$Perfil->next();
	$us_codigo = $Perfil->dbField('us_codigo');
	$us_foto = $Perfil->dbField('us_foto');			
	$us_nombres = $Perfil->dbField('us_nombres');			
	$us_apellidos = $Perfil->dbField('us_apellidos');			
	$us_user = $Perfil->dbField('us_user');			
	$us_ci = $Perfil->dbField('us_ci');			
		
	if($us_foto=='' or $us_foto=='vacio') $us_foto='vacio.jpg';
	
	$PerfilMenu = array(
		'Mi Perfil',
		'Cerrar Sesión',
	);
	$PerfilArchivo = array(
		'us-perfil/ver',
		'logout',
	);	
	$PerfilIcon = array(
		'fas fa-address-card',
		'fas fa-window-close',
	);
	$CantidadPerfil = sizeof($PerfilMenu);
	
	switch($ROL){
		//administradores del sistema
		case 1 : $TipoUsuario = "Administrador sistema"; 	
         $inicio = PATH_HOME.'admin/ver';
			$UsAccesos = array(
				'Categorías',
				'Productos',
				'Usuarios',
			);
			$UsArchivo = array(
				'categorias/listado',
				'productos/listado&categ=vacio',
				'usuarios/listado',
			);	
         $iconos = array(
				'fas fa-address-book',  
				'fas fa-chalkboard-teacher',  							
				'fas fa-address-book',  					                 				
         );	
		break;
		//técnicos
		case 2 : $TipoUsuario = "Usuario Técnico"; 	
         $inicio = PATH_HOME.'tecnicos/ver';
			$UsAccesos = array(
				'Importar Excel',
				'Registros',
			);
			$UsArchivo = array(
				'excel/importar-archivo-xls',
				'registros/datos',
			);	
         $iconos = array(
				'fas fa-address-book',  
				'fas fa-chalkboard-teacher',  							     				
         );	
		break;
		//Otros usuarios
	}

	$CantidadAcc = sizeof($UsAccesos);
?>
<div class="main-header">
			<div class="logo-header" data-background-color="dark">				
				<a href="<?php echo $inicio;?>" class="logo">
					<span class="navbar-brand" style='font-size:1.67em;color:white'><?php echo AppName; ?></span>
				</a>
				<button class="navbar-toggler sidenav-toggler ml-auto" type="button" data-toggle="collapse" data-target="collapse" aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon">
						<i class="icon-menu"></i>
					</span>
				</button>
				<button class="topbar-toggler more"><i class="icon-options-vertical"></i></button>
				<div class="nav-toggle">
					<button class="btn btn-toggle toggle-sidebar">
						<i class="icon-menu"></i>
					</button>
				</div>
			</div>
         
			<nav class="navbar navbar-header navbar-expand-lg" data-background-color="dark">				
				<div class="container-fluid">
					<ul class="navbar-nav topbar-nav ml-md-auto align-items-center">												
						<!-- li class="nav-item dropdown hidden-caret">
							<a class="nav-link dropdown-toggle" href="#" id="notifDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<i class="fa fa-bell"></i>
							</a>
							<ul class="dropdown-menu notif-box animated fadeIn" aria-labelledby="notifDropdown">							
								<li>
									<div class="notif-scroll scrollbar-outer">
										<div class="notif-center">
											<a href="#">
												<div class="notif-icon notif-primary"> <i class="fa fa-user-plus"></i> </div>
												<div class="notif-content">
													<span class="block">
														nuevos mensajes
													</span>
													<span class="time">5 minutos atras</span> 
												</div>
											</a>
										</div>
									</div>
								</li>								
							</ul>
						</li -->						
						<li class="nav-item dropdown hidden-caret">
							<a class="dropdown-toggle profile-pic" data-toggle="dropdown" href="#" aria-expanded="false">
								<div class="avatar-sm" data-toggle="tooltip" data-placement="left" title="Menu de Usuario">
                           <img src="<?php echo PATH_HOME.'perfil/'.$us_foto ?>" alt="..." class="avatar-img rounded">
								</div>
							</a>
							<ul class="dropdown-menu dropdown-user animated fadeIn">
								<div class="dropdown-user-scroll scrollbar-outer">
									<li>
										<div class="user-box">
											<div class="avatar-lg">
												<img src="<?php echo PATH_HOME.'perfil/'.$us_foto ?>" alt="image profile" class="avatar-img rounded"></div>
											<div class="u-text">
												<h4><b><?php echo $USUARIO; ?></b></h5> 
												<p class="text-muted"><b><?php echo $TipoUsuario; ?></b></p>                                    
											</div>
										</div>
									</li>
									<li>
									<?php
										$html5='';
										for($MenuPerf=0; $MenuPerf<$CantidadPerfil; $MenuPerf++){
											if($PerfilArchivo[$MenuPerf]=='#') $linkPerfil = 'href="'.$linkPerfil.'#"';
											if($PerfilArchivo[$MenuPerf]=='logout') $linkPerfil = 'href="#" onclick="LogOut()"';										
											else $linkPerfil = 'href="'.PATH_HOME.$PerfilArchivo[$MenuPerf].'"';

											$html5.='<div class="dropdown-divider"></div><a class="dropdown-item" '.$linkPerfil.'>
											<i class="'.$PerfilIcon[$MenuPerf].'"></i> <b> &nbsp; '.$PerfilMenu[$MenuPerf].'
											</b></a>';
										}
										echo $html5;
									?>		
									</li>
								</div>
							</ul>
						</li>
					</ul>
				</div>
			</nav>
</div>
<div class="sidebar sidebar-style" data-background-color="dark">			
			<div class="sidebar-wrapper scrollbar scrollbar-inner">
				<div class="sidebar-content">
					<div class="user">
						<div align=center> <!--class="avatar-sm float-left mr-2" -->
							<img src="<?php echo PATH_HOME.'perfil/'.$us_foto ?>" class="avatar-img rounded">
						</div>
						<div class="info">
							<a data-toggle="collapse" href="#collapseExample" aria-expanded="true">
								<span><b><?php echo $USUARIO; ?></b>
									<span class="user-level"><?php echo $TipoUsuario?></span>
									<span class="caret"></span>
								</span>
							</a>
							<div class="clearfix"></div>

							<div class="collapse in" id="collapseExample">
								<ul class="nav">
								<?php
									$html5='';
									for($MenuPerf=0; $MenuPerf<$CantidadPerfil; $MenuPerf++){
										if($PerfilArchivo[$MenuPerf]=='#') $linkPerfil = 'href="'.$linkPerfil.'#"';
										if($PerfilArchivo[$MenuPerf]=='logout') $linkPerfil = 'href="#" onclick="LogOut()"';										
										else $linkPerfil = 'href="'.PATH_HOME.$PerfilArchivo[$MenuPerf].'"';

										$html5.='<li class="nav-item"><a '.$linkPerfil.'>
										<i class="'.$PerfilIcon[$MenuPerf].'"></i>
											<p><b>'.$PerfilMenu[$MenuPerf].'</b></p></a>							
										</li>	';
									}
									echo $html5;
								?>									
								</ul>
							</div>
						</div>
					</div>
					<ul class="nav nav-primary">	
					<?php
						$html5='';
						for($MenuAcc=0; $MenuAcc<$CantidadAcc;$MenuAcc++){
							if($UsArchivo[$MenuAcc]=='#') $link = '#';
							else $link = PATH_HOME.$UsArchivo[$MenuAcc];
							$html5.='<li class="nav-item"><a href="'.$link.'">
								<i class="'.$iconos[$MenuAcc].'"></i>
								<p><b>'.($UsAccesos[$MenuAcc]).'</b></p></a>							
							</li>	';
						}
						echo $html5;
					?>																								
					</ul>
				</div>
			</div>
</div>
<div id='logout'></div>
<script>
function LogOut(){
  $.post('<?php echo PATH_HOME.'indlogout/'.md5(uniqid()); ?>',{
    'coder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#logout').html(data);
  });
}
</script>